<h3>New Fan</h3>
<form [formGroup]="entityForm" (ngSubmit)="submitForm()">
  <div>
    <p>
      <label>Name :</label>
      <input type="text" formControlName="name">
    </p>
    <p>
      <label>Birth date :</label>
      <input type="date" formControlName="birthDate">
    </p>
    <div *ngIf="entityForm.controls['birthDate'].invalid">
      {{ entityForm.controls['birthDate'].errors['invalidYear'] }}
    </div>
  </div>
  <hr/>
  <a (click)="addSerie()">Add a serie</a>
  <div *ngIf="getSeries().controls" formArrayName="series">
    <p *ngFor="let ctrl of getSeries().controls; let i = index">
      Serie {{ i + 1 }} <input type="text" [formControlName]="i">
      <button type="button" (click)="removeSerie(i)">X</button>
    </p>
  </div>

  <button type="submit" [disabled]="entityForm.invalid">Submit</button>
</form>
